
#
# test driver for the Account class
#
# author: David Mathias
#

from account import Account

def main():
    
    print('Creating accounts checking and savings.\n')
    checking = Account('David', 50000)
    savings = Account('David', 1000000)
    
    # it's payday: cha-ching
    print('Making a deposit to checking.\n')
    checking.deposit(25000)
    
    # hey honey, can I buy a 488?
    if savings.inquiry() > 500000:
        print("Go shopping.  Make sure it's red!\n")
    
    # how many accounts do we have?  (i.e. what's the value of the class variable?)
    print('Number of accounts created: {}\n'.format(Account.num_accounts))
    
    # this reduces num_accounts
    print('Delete the savings account.\n')
    del savings
    
    # I spent the savings on the 488 so I closed the account
    print('Number of accounts remaining: {}\n'.format(Account.num_accounts))
    
    
if __name__ == '__main__':
    main()
